@rem
@rem This will auto-update the CSS when an SCSS file is changed.
@rem
@rem note: it only auto-updates non-underscore-prefixed files.
@rem

@echo off

set curdir=%~dp0
set curdir=%curdir:~0,-1%
set inScss="%curdir%"
set outCss="%curdir%\..\css"
set scssPath="C:\Ruby27-x64\bin\scss"
set scssParams=--precision 2

echo Started.

echo Compiling.
call %scssPath% --update %inScss%:%outCss%

echo Monitoring Scss files for update.
call %scssPath% %scssParams% --watch %inScss%:%outCss%

echo Done.
pause
